=begin
###
Copyright 2011-2015 TIG (c)
Permission to use, copy, modify, and distribute this software for any 
purpose, and currently without fee, is hereby granted, provided that  
this text and the above copyright (c) notice appear in all copies.
This software is provided "as is" and without any express or implied 
warranties, including, without limitation, the implied warranties of 
merchantability and fitness for a particular purpose.
###
=end
###
module TIG
  module SolidSolver
		def self.loadRBS(path)
			pos=nil
			$".each_with_index{|p, i| (pos = i; break) if p == path || p =~ /(#{path})\.(rb|rbs)\z/i }
			$".delete_at(pos) if pos
			Sketchup::require(path)
		end
		Dir.entries(DATA).select{|e|
			File.extname(e).downcase =~ /\.(rb|rbs)\z/i
		}.each{|f|
			self.loadRBS(File.join(DATA, f))
		}  
  end#module
end#module
